%define name	hg-git
%define version 0.3.2
%define release %mkrel 1

Summary:	Mercurial plugin for communicating with Git servers
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/h/%{name}/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		Development/Other
Url:		http://hg-git.github.com/
BuildArch:	noarch
Requires:	python, mercurial >= 1.3
Requires:	python-dulwich >= 0.8.0
BuildRequires:	python-devel, python-dulwich >= 0.8.0

%description
This is the Hg-Git plugin for Mercurial, adding the ability to push to
and pull from a Git server repository from Mercurial. This means you
can collaborate on Git based projects from Mercurial, or use a Git
server as a collaboration point for a team with developers using both
Git and Mercurial.

%prep
%setup -q

%install
%__rm -rf %{buildroot}

PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST
cat <<EOF > hg-git.rc
[extensions]
hgext.bookmarks =
hggit = %{py_sitedir}/hggit
EOF

%__install -m 755 -d %{buildroot}%{_sysconfdir}/mercurial/hgrc.d
%__install -m 644 hg-git.rc %{buildroot}%{_sysconfdir}/mercurial/hgrc.d/

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/mercurial/hgrc.d/hg-git.rc




%changelog

* Sun Feb 05 2012 lebedov <lebedov> 0.3.2-1.mga2
+ Revision: 204887
- Update to 0.3.2.

* Mon Sep 26 2011 boklm <boklm> 0.3.1-1.mga2
+ Revision: 148874
- imported package hg-git


* Tue Sep 20 2011 Lev Givon <lev@mandriva.org> 0.3.1-1mdv2012.0
+ Revision: 700637
- Update to 0.3.1.

* Thu Mar 03 2011 Lev Givon <lev@mandriva.org> 0.2.6-1
+ Revision: 641528
- Update to 0.2.6.

* Tue Nov 02 2010 Lev Givon <lev@mandriva.org> 0.2.5-1mdv2011.0
+ Revision: 592247
- Update to 0.2.5.

* Fri Aug 27 2010 Lev Givon <lev@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 573471
- Update to 0.2.4.

* Sun Jul 11 2010 Lev Givon <lev@mandriva.org> 0.2.3-1mdv2011.0
+ Revision: 551170
- Update to 0.2.3.
- Update to 0.2.2.

* Thu Apr 15 2010 Lev Givon <lev@mandriva.org> 0.2.1-1mdv2010.1
+ Revision: 534994
- import hg-git

